﻿@model List<VirtualCarGarage.MVC.Models.OrderViewModel>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">Orders</h1>

        <p>
            <a class="text-primary font-weight-bolder" asp-action="Create">Create</a>
        </p>
        @if (Model.Count == 0)
        {
            <h3 class="text-dark font-weight-bolder">No orders registered.</h3>
        }
        @if (Model.Count != 0)
        {
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.First().OrderId)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.First().OrderDate)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.First().ServiceHistoryId)
                        </th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                        <tr>
                            <td>
                                @Html.DisplayFor(modelItem => item.OrderId)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.OrderDate)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.ServiceHistoryId)
                            </td>
                            <td>
                                <a asp-action="Edit" asp-route-id="@item.OrderId">Edit</a> |
                                <a asp-action="Details" asp-route-id="@item.OrderId">Details</a> |
                                <a asp-action="Delete" asp-route-id="@item.OrderId">Delete</a> |
                                <a asp-action="AddServices" asp-route-id="@item.OrderId">AddServices</a>
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        }

    </div>
    <div class="text-center">
        <a asp-controller="Home" asp-action="Index" class="btn btn-primary">Back</a>
    </div>
</div>